Install-ChocolateyPackage `
    "Far" 'msi' '/quiet ADDLOCAL=ALL' `
    "https://farmanager.com/files/Far30b5577.x86.20200327.msi" `
    "https://farmanager.com/files/Far30b5577.x64.20200327.msi" `
    -ChecksumType "sha256" `
    -Checksum "4684350C8B7564B5093E01918163210436510CFFA29FE74A48F74CCE548891BC" `
    -Checksum64 "60B60370A6A69468D88A701C4C346601403688A75201A27EBBB4190D8DE9DE62"

if ((Get-ProcessorBits 64) -and (${env:ChocolateyForceX86} -ne 'true'))
{
  Install-BinFile -Name 'Far' -Path "${env:ProgramFiles}/Far Manager/Far.exe"
}
elseif ((Get-ProcessorBits 64) -and (${env:ChocolateyForceX86} -eq 'true'))
{
  Install-BinFile -Name 'Far' -Path "${env:ProgramFiles(x86)}/Far Manager/Far.exe"
}
elseif (Get-ProcessorBits 32)
{
  Install-BinFile -Name 'Far' -Path "${env:ProgramFiles}/Far Manager/Far.exe"
}
