$msiId = $null
if ([Environment]::Is64BitOperatingSystem) {
	$msiId = '{F4DE8165-D2C7-44E7-8C36-A04CB3FDD7EF}'
	Try {
	   Write-Host "x64 environment detected, trying to uninstall the x64 version"
	   Uninstall-ChocolateyPackage 'Far' 'MSI' "$msiId /qb" -validExitCodes @(0) # We try to uninstall x86 version
	   Exit 0
	}
	Catch {
	   Write-Host "Apparently, the x86 version was installed"
	   Write-Host "Proceeding to uninstall the x86 version"
	}
}

$msiId = '{D0B4219E-D255-4B34-9A2D-DC44594C62AB}'
Uninstall-ChocolateyPackage 'Far' 'MSI' "$msiId /qb" -validExitCodes @(0)

Remove-BinFile -Name 'Far'
